srecord: srecord::crc32 Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::crc32 Class Reference

The crc32 class is used to represent the running value of a 32-bit cyclic redundancy check of series of bytes. More...

`#include <crc32.h>`

## Public Types
enum | seed_mode_t { seed_mode_ccitt , seed_mode_xmodem }

## Public Member Functions
virtual | ~crc32 ()
| The destructor.
| crc32 (seed_mode_t seed_mode=seed_mode_ccitt)
| The default constructor.
| crc32 (const crc32 &)
| The copy constructor.
crc32 & | operator= (const crc32 &)
| The assignment operator.
unsigned long | get () const
| The get method is used to obtain the running value of the cyclic redundancy check.
void | next (unsigned char)
| The next method is used to advance the state by one byte.
void | nextbuf (const void *, size_t)
| The nextbuf method is used to advance the state by a series of bytes.

## Detailed Description

The crc32 class is used to represent the running value of a 32-bit cyclic redundancy check of series of bytes.

Definition at line 32 of file crc32.h.

## Member Enumeration Documentation

## ◆ seed_mode_t

enum srecord::crc32::seed_mode_t

Enumerator
seed_mode_ccitt |
seed_mode_xmodem |

Definition at line 35 of file crc32.h.

## Constructor & Destructor Documentation

## ◆ ~crc32()

virtual srecord::crc32::~crc32 | ( |  | ) |
| virtual

The destructor.

## ◆ crc32() [1/2]

srecord::crc32::crc32 | ( | seed_mode_t | seed_mode = seed_mode_ccitt | ) |

The default constructor.

References seed_mode_ccitt.

Referenced by crc32(), and operator=().

## ◆ crc32() [2/2]

srecord::crc32::crc32 | ( | const crc32 & |  | ) |

The copy constructor.

References crc32().

## Member Function Documentation

## ◆ operator=()

crc32 & srecord::crc32::operator= | ( | const crc32 & |  | ) |

The assignment operator.

References crc32().

## ◆ get()

unsigned long srecord::crc32::get | ( |  | ) | const

The get method is used to obtain the running value of the cyclic redundancy check.

## ◆ next()

void srecord::crc32::next | ( | unsigned char |  | ) |

The next method is used to advance the state by one byte.

## ◆ nextbuf()

void srecord::crc32::nextbuf | ( | const void * | ,
|  | size_t | )

The nextbuf method is used to advance the state by a series of bytes.

The documentation for this class was generated from the following file:

- crc32.h